## python-netlib 0.10

=== requirements.txt ===
pyasn1>=0.1.7
pyOpenSSL>=0.13

## python-netlib 0.9.1

=== debian/changelog ===
python-netlib (0.9.1-2) unstable; urgency=low

  * Bump up debian/compat to 8
  * License Debian packaging under MIT, like upstream
  * Document netlib/contrib/md5crypt.py's "Beer-Ware" license

 -- Sebastien Delafond <seb@debian.org>  Tue, 20 Aug 2013 22:12:37 +0200

python-netlib (0.9.1-1) unstable; urgency=low

  * Initial release (Closes: #717065).

 -- Sebastien Delafond <seb@debian.org>  Tue, 16 Jul 2013 15:01:59 +0200

=== debian/control ===
Source: python-netlib
Section: python
Priority: optional
Maintainer: Sebastien Delafond <seb@debian.org>
Build-Depends: python-all-dev (>= 2.6.6-3~), cdbs (>= 0.4.90~), debhelper (>= 6)
Standards-Version: 3.9.4
Vcs-Git: git://anonscm.debian.org/collab-maint/python-netlib.git
Vcs-Browser: http://anonscm.debian.org/git/collab-maint/python-netlib.git

Package: python-netlib
Architecture: any
Depends: ${misc:Depends}, ${python:Depends}, ${shlibs:Depends}, python-pyasn1, python-openssl
Provides: ${python:Provides}
Description: collection of network utility classes
 Netlib is a collection of network utility classes, used by the pathod
 and mitmproxy projects. It differs from other projects in some
 fundamental respects, because both pathod and mitmproxy often need to
 violate standards.  This means that protocols are implemented as
 small, well-contained and flexible functions, and are designed to allow
 misbehaviour when needed.
 .

=== debian/watch ===
version=3
https://github.com/cortesi/python-netlib/tags .*/v(\d[\d\.]*)\.tar\.gz debian uupdate

## python-netlib 0.9.2

=== debian/changelog ===
python-netlib (0.9.2-2) unstable; urgency=low

  * Change architecture to "all"

 -- Sebastien Delafond <seb@debian.org>  Mon, 30 Dec 2013 13:55:53 +0100

python-netlib (0.9.2-1) unstable; urgency=low

  * New upstream release (Closes: #731994)
  * Update watch file to point at new upstream location

 -- Sebastien Delafond <seb@debian.org>  Sun, 29 Dec 2013 17:58:55 +0100

=== debian/control ===
--- 
+++ 
@@ -2,13 +2,13 @@
 Section: python
 Priority: optional
 Maintainer: Sebastien Delafond <seb@debian.org>
-Build-Depends: python-all-dev (>= 2.6.6-3~), cdbs (>= 0.4.90~), debhelper (>= 6)
+Build-Depends: python-all, cdbs (>= 0.4.90~), debhelper (>= 6)
 Standards-Version: 3.9.4
 Vcs-Git: git://anonscm.debian.org/collab-maint/python-netlib.git
 Vcs-Browser: http://anonscm.debian.org/git/collab-maint/python-netlib.git
 
 Package: python-netlib
-Architecture: any
+Architecture: all
 Depends: ${misc:Depends}, ${python:Depends}, ${shlibs:Depends}, python-pyasn1, python-openssl
 Provides: ${python:Provides}
 Description: collection of network utility classes

=== debian/rules ===
#!/usr/bin/make -f

DEB_PYTHON2_MODULE_PACKAGES = python-netlib

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/python-distutils.mk

STAGING_DIR               := $(CURDIR)/debian/python-netlib
#DEB_INSTALL_DOCS_ALL      := CONTRIBUTORS examples/

=== debian/watch ===
version=3
https://github.com/mitmproxy/netlib/tags .*/v(\d[\d\.]*)\.tar\.gz debian uupdate

## python-netlib 0.10

=== debian/changelog ===
python-netlib (0.10-2) unstable; urgency=medium

  * Patch to prevent Iceweasel >= 31 from breaking on "Netscape Cert Type"
    extension. Thanks to Jakub Wilk <jwilk@debian.org> for the patch
    (Closes: #753014).
  * Bump up Standards-Version

 -- Sebastien Delafond <seb@debian.org>  Sun, 29 Jun 2014 11:19:48 +0200

python-netlib (0.10-1) unstable; urgency=low

  * New upstream release

 -- Sebastien Delafond <seb@debian.org>  Mon, 10 Feb 2014 13:54:01 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Sebastien Delafond <seb@debian.org>
 Build-Depends: python-all, cdbs (>= 0.4.90~), debhelper (>= 6)
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Vcs-Git: git://anonscm.debian.org/collab-maint/python-netlib.git
 Vcs-Browser: http://anonscm.debian.org/git/collab-maint/python-netlib.git

## python-netlib 0.11.2

=== requirements.txt ===
-e git+https://github.com/mitmproxy/pathod.git#egg=pathod
-e .[dev]

=== debian/changelog ===
python-netlib (0.11.2-2) unstable; urgency=medium

  * Build-Depend on python-setuptools (Closes: #784931)

 -- Sebastien Delafond <seb@debian.org>  Tue, 19 May 2015 22:55:41 +0200

python-netlib (0.11.2-1) unstable; urgency=medium

  * New upstream version
  * Remove patch 0001-netscape-cert-type-breaks-iceweasel, included upstream
  * Bump-up Standards-Version
  
 -- Sebastien Delafond <seb@debian.org>  Sat, 02 May 2015 13:35:25 +0200

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: python
 Priority: optional
 Maintainer: Sebastien Delafond <seb@debian.org>
-Build-Depends: python-all, cdbs (>= 0.4.90~), debhelper (>= 6)
-Standards-Version: 3.9.5
+Build-Depends: python-all, cdbs (>= 0.4.90~), debhelper (>= 6), python-setuptools
+Standards-Version: 3.9.6
 Vcs-Git: git://anonscm.debian.org/collab-maint/python-netlib.git
 Vcs-Browser: http://anonscm.debian.org/git/collab-maint/python-netlib.git

## python-netlib 0.15.1

=== debian/changelog ===
python-netlib (0.15.1-1) unstable; urgency=medium
  
  * Import new upstream version 0.15.1
  * New build dependencies for 0.15.1

 -- Sebastien Delafond <seb@debian.org>  Wed, 10 Feb 2016 15:00:42 +0100

python-netlib (0.14-1) unstable; urgency=medium

  * Imported Upstream version 0.14
  * New build dependencies for 0.14

 -- Sebastien Delafond <seb@debian.org>  Wed, 25 Nov 2015 14:52:14 +0100

python-netlib (0.13.1-1) unstable; urgency=medium

  * New upstream version (Closes: #789783)
  
 -- Sebastien Delafond <seb@debian.org>  Thu, 29 Oct 2015 14:29:28 +0100

python-netlib (0.12.1-1) unstable; urgency=medium

  * New upstream version (Closes: #789782)
  
 -- Sebastien Delafond <seb@debian.org>  Thu, 01 Oct 2015 13:36:12 +0200

=== debian/control ===
Source: python-netlib
Section: python
Priority: optional
Maintainer: Sebastien Delafond <seb@debian.org>
Build-Depends: debhelper (>= 9), dh-python, python-all-dev,
 python-setuptools, python-openssl, libssl-dev, python-cffi,
 python-certifi, python-mock, python-passlib,
 python-hpack, python-pytest, python-backports.ssl-match-hostname,
 python-autopep8, python-wheel
Standards-Version: 3.9.6
Vcs-Git: git://anonscm.debian.org/collab-maint/python-netlib.git
Vcs-Browser: http://anonscm.debian.org/git/collab-maint/python-netlib.git

Package: python-netlib
Architecture: any
Depends: ${misc:Depends}, ${python:Depends}, ${shlibs:Depends}, python-hpack, python-six, python-backports.ssl-match-hostname
Provides: ${python:Provides}
Description: collection of network utility classes (python2)
 Netlib is a collection of network utility classes, used by the pathod
 and mitmproxy projects. It differs from other projects in some
 fundamental respects, because both pathod and mitmproxy often need to
 violate standards.  This means that protocols are implemented as
 small, well-contained and flexible functions, and are designed to allow
 misbehaviour when needed.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=netlib

%:
	dh $@ --with python2 --buildsystem=pybuild

override_dh_clean:
	dh_clean
	rm -fr netlib/__pycache__
